/*
VODKA-INDUCED ENTERTAINMENT ADVANCED SOUND MANAGER v0.9
COMPATIBILITY LAYER FOR WOLF4SDL v1.6 - SOUND NAMES REFERENCE FILE
BY GERARD 'ALUMIUN' WATSON
*/

#ifndef _ASMCREF_H_
#define _ASMCREF_H_

// This table holds the file names for the sounds defined in AUDIOWL6.H.
// Change these to suit your sounds and your AUDIOHED.WL6 or SOD file.
// Currently these are set up for Wolfenstein, not SoD.

const char *sounddir = "sounds\\";

const char *ASM_Soundnames[NUMSOUNDS] = {
	"HITWALLSND.wav",              // 0
    "SELECTWPNSND.wav",            // 1
    "SELECTITEMSND.wav",           // 2
    "HEARTBEATSND.wav",            // 3
    "MOVEGUN2SND.wav",             // 4
    "MOVEGUN1SND.wav",             // 5
    "NOWAYSND.wav",                // 6
    "NAZIHITPLAYERSND.wav",        // 7
    "SCHABBSTHROWSND.wav",         // 8
    "PLAYERDEATHSND.wav",          // 9
    "DOGDEATHSND.wav",             // 10
    "ATKGATLINGSND.wav",           // 11
    "GETKEYSND.wav",               // 12
    "NOITEMSND.wav",               // 13
    "WALK1SND.wav",                // 14
    "WALK2SND.wav",                // 15
    "TAKEDAMAGESND.wav",           // 16
    "GAMEOVERSND.wav",             // 17
    "OPENDOORSND.wav",             // 18
    "CLOSEDOORSND.wav",            // 19
    "DONOTHINGSND.wav",            // 20
    "HALTSND.wav",                 // 21
    "DEATHSCREAM2SND.wav",         // 22
    "ATKKNIFESND.wav",             // 23
    "ATKPISTOLSND.wav",            // 24
    "DEATHSCREAM3SND.wav",         // 25
    "ATKMACHINEGUNSND.wav",        // 26
    "HITENEMYSND.wav",             // 27
    "SHOOTDOORSND.wav",            // 28
    "DEATHSCREAM1SND.wav",         // 29
    "GETMACHINESND.wav",           // 30
    "GETAMMOSND.wav",              // 31
    "SHOOTSND.wav",                // 32
    "HEALTH1SND.wav",              // 33
    "HEALTH2SND.wav",              // 34
    "BONUS1SND.wav",               // 35
    "BONUS2SND.wav",               // 36
    "BONUS3SND.wav",               // 37
    "GETGATLINGSND.wav",           // 38
    "ESCPRESSEDSND.wav",           // 39
    "LEVELDONESND.wav",            // 40
    "DOGBARKSND.wav",              // 41
    "ENDBONUS1SND.wav",            // 42
    "ENDBONUS2SND.wav",            // 43
    "BONUS1UPSND.wav",             // 44
    "BONUS4SND.wav",               // 45
    "PUSHWALLSND.wav",             // 46
    "NOBONUSSND.wav",              // 47
    "PERCENT100SND.wav",           // 48
    "BOSSACTIVESND.wav",           // 49
    "MUTTISND.wav",                // 50
    "SCHUTZADSND.wav",             // 51
    "AHHHGSND.wav",                // 52
    "DIESND.wav",                  // 53
    "EVASND.wav",                  // 54
    "GUTENTAGSND.wav",             // 55
    "LEBENSND.wav",                // 56
    "SCHEISTSND.wav",              // 57
    "NAZIFIRESND.wav",             // 58
    "BOSSFIRESND.wav",             // 59
    "SSFIRESND.wav",               // 60
    "SLURPIESND.wav",              // 61
    "TOT_HUNDSND.wav",             // 62
    "MEINGOTTSND.wav",             // 63
    "SCHABBSHASND.wav",            // 64
    "HITLERHASND.wav",             // 65
    "SPIONSND.wav",                // 66
    "NEINSOVASSND.wav",            // 67
    "DOGATTACKSND.wav",            // 68
    "FLAMETHROWERSND.wav",         // 69
    "MECHSTEPSND.wav",             // 70
    "GOOBSSND.wav",                // 71
    "YEAHSND.wav",                 // 72
    #ifndef APOGEE_1_0
    "DEATHSCREAM4SND.wav",         // 73
    "DEATHSCREAM5SND.wav",         // 74
    "DEATHSCREAM6SND.wav",         // 75
    "DEATHSCREAM7SND.wav",         // 76
    "DEATHSCREAM8SND.wav",         // 77
    "DEATHSCREAM9SND.wav",         // 78
    "DONNERSND.wav",               // 79
    "EINESND.wav",                 // 80
    "ERLAUBENSND.wav",             // 81
    "KEINSND.wav",                 // 82
    "MEINSND.wav",                 // 83
    "ROSESND.wav",                 // 84
    "MISSILEFIRESND.wav",          // 85
    "MISSILEHITSND.wav",          // 86
#endif
"ATKSHOTSND.wav",              // 87
    "ATKM14SND.wav",               // 88
    "RELOADPISTOL1SND.wav",        // 89
	"RELOADMACHINE1SND.wav",       // 90
	"RELOADCHAINGUN1SND.wav",      // 91
	"RELOADSHOTGUN1SND.wav",       // 92
	"RELOADM141SND.wav",           // 93
	"RELOADPISTOL2SND.wav",        // 94
	"RELOADMACHINE2SND.wav",       // 95
	"RELOADCHAINGUN2SND.wav",      // 96
	"RELOADM142SND.wav",           // 97
	"ATKL46SND.wav",               // 98
	"BOLTBACKSND.wav",             // 99
	"BOLTFORWARDSND.wav",          // 100
	"RELOADL461SND.wav",           // 101
	"RELOADL462SND.wav",           // 101
	"PAINSND.wav",                 // 102
	"DEATHSND.wav",                // 103
	"GPAINSND.wav",           // 101
	"SHOTGUNDEATHSND.wav",           // 101
	"SHOTPAINSND.wav",           // 101
	"SHOTSEESND.wav",           // 101
	"ATKDSHOTGUNSND.wav",           // 101
	"RELOADDSHOTGUN1SND.wav",           // 101
	"RELOADDSHOTGUN2SND.wav",           // 101
	"ATKMP5SND.wav",                    // 101
	"RELOADMP51SND.wav",
	"RELOADMP52SND.wav",
	"BOLTPULLSND.wav",
	"BOLTSLAPSND.wav",
	"ATKDEAGLESND.wav",
	"RELOADDEAGLE1SND.wav",
	"RELOADDEAGLE2SND.wav",
	"SCHUTZAD1SND.wav",
	"SCHUTZAD2SND.wav",
	"SSPAINSND.wav",
	"LEBEN1SND.wav",
	"LEBEN2SND.wav",
	"DRYFIRESND.wav",
	"ATKBIZONSND.wav",
	"OPENDOOR2SND.wav",
	"CLOSEDOOR2SND.wav",
	"NEINSOVAS1SND.wav",
	"NEINSOVAS2SND.wav",
	"SPION1SND.wav",
	"SPION2SND.wav",
	"SPION3SND.wav",
	"GETARMORSND.wav",
	"SHOTPAIN1SND.wav",
	"SHOTSEE1SND.wav",
	"SHOTDEATHSND.wav",
	"OPENDOOR3SND.wav",
	"CLOSEDOOR3SND.wav",
	"GETSHELLSAMMOSND.wav",
	"GETRIFLEAMMOSND.wav",
	"GETARAMMOSND.wav",
	"CULTDEATH1SND.wav",
    "CULTDEATH2SND.wav",
    "CULTDEATH3SND.wav",
    "CULTDEATH4SND.wav",
    "CULTPAINSND.wav",
    "CULTSEE1SND.wav",
    "CULTSEE2SND.wav",
    "CULTSEE3SND.wav",
    "CULTSEE4SND.wav",
    "RELOADBIZON1SND.wav",
    "RELOADBIZON2SND.wav",
    "SNIDEATHSND.wav",
    "SNIDEATH1SND.wav",
    "SNIDEATH2SND.wav",
    "SNIPERPAIN1SND.wav",
    "SNIPERSEE1SND.wav",
    "SHADOWSEE1SND.wav",
    "SHADOWSEE2SND.wav",
    "SHADOWPAINSND.wav",
    "SHADOWATTACKSND.wav",
    "HUNTERDEATHSND.wav",
    "HUNTERPAIN1SND.wav",
    "HUNTERSEESND.wav",
    "ROCKETDEATH1SND.wav",
    "ROCKETDEATH2SND.wav",
    "ROCKETDEATH3SND.wav",
    "ROCKETPAINSND.wav",
    "ROCKETSEE1SND.wav",
    "ROCKETSEE2SND.wav",
    "ROCKETSEE3SND.wav",
    "REAPERDEATH1SND.wav",
    "REAPERDEATH2SND.wav",
    "REAPERPAIN1SND.wav",
    "REAPERSEE1SND.wav",
    "REAPERSEE2SND.wav",
    "STEALTHDEATHSND.wav",
    "STEALTHSEESND.wav",
    "SHADOWBALLHITSND.wav",
    "SOULLESSBALLHITSND.wav",
    "SOULLESSDEATHSND.wav",
    "SOULlESSPAINSND.wav",
    "SOULLESSSEESND.wav",
    "SOULLESSBALLSND.wav",
    "GASBALLHITSND.wav",
    "SLORGADEATH1SND.wav",
    "SLORGADEATH2SND.wav",
    "GASBALLSND.wav",
    "SLORGASEE1SND.wav",
    "SLORGASEE2SND.wav",
    "SLORGASEE3SND.wav",
    "LOCKEDSND.wav",
    "STRIKERDEATH1SND.wav",
    "STRIKERDEATH2SND.wav",
    "STRIKERPAINSND.wav",
    "STRIKERSEE1SND.wav",
    "STRIKERSEE2SND.wav",
    "ATKAK47SND.wav",
    "RELOADAK471SND.wav",
    "RELOADAK472SND.wav",
    "BURNSND.wav",
    "BFLAMERDEATHSND.wav",
    "BFLAMERPAINSND.wav",
    "BFLAMERSEE1SND.wav",
    "BFLAMERSEE2SND.wav",
    "BFLAMERSEE3SND.wav",
    "SLAVEGIRLSCREAM1SND.wav",
    "SLAVEGIRLSCREAM2SND.wav",
    "SLAVEGIRLSCREAM3SND.wav",
    "SLAVEGIRLSCREAM4SND.wav",
    "SLAVEGIRLSCREAM5SND.wav",
    "SLAVEGIRLSCREAM6SND.wav",
    "SLAVEGIRLSCREAM7SND.wav",
    "SLAVEGIRLPAINSND.wav",
    "SLAVEGIRLSEE1SND.wav",
    "SLAVEGIRLSEE2SND.wav",
    "SLAVEGIRLSEE3SND.wav",
    "THUNDERSND.wav",
    "PUMPSND.wav",
    "OPENDOOR4SND.wav",
    "CLOSEDOOR4SND.wav",
    "ATKBERETTASND.wav",
    "RELOADBERETTA1SND.wav",
    "RELOADBERETTA2SND.wav",
    "ATKTYPE79SND.wav",
    "RELOADTYPE791SND.wav",
    "RELOADTYPE792SND.wav",
    "ATKLR3000SND.wav",
    "RELOADLR30001SND.wav",
    "RELOADLR30002SND.wav",
};

// This table holds the file names for the music defined in AUDIOWL6.H.
// Change these to suit your music and your AUDIOHED.WL6 or SOD file.
// Currently these are set up for Wolfenstein, not SoD.
// Make sure you put the right format on the end here
// Compatible extentions:
//  -- WAV (If you're using WAVs for music, you're mad.)
//  -- OGG
//  -- MP3
//  -- MID
//  -- MOD, XM, IT, 669, S3M, MED

const char *musicdir = "music\\";

const char *ASM_Musicnames[NUMMUSICS] = {
	"CORNER.MID",              // 0
	"DUNGEON.OGG",             // 1
	"WARMARCH.OGG",            // 2
	"GETTHEM.OGG",             // 3
	"HEADACHE.OGG",            // 4
	"HITLWLTZ.OGG",            // 5
	"INTROCW3.OGG",            // 6
	"NAZI_NOR.MID",            // 7
	"NAZI_OMI.OGG",            // 8
	"POW.OGG",                 // 9
	"SALUTE.OGG",              // 10
	"SEARCHN.OGG",             // 11
	"SUSPENSE.OGG",            // 12
	"VICTORS.OGG",             // 13
	"WONDERIN.OGG",            // 14
	"FUNKYOU.OGG",             // 15
	"ENDLEVEL.MID",            // 16
	"GOINGAFT.OGG",            // 17
	"PREGNANT.OGG",            // 18
	"ULTIMATE.OGG",            // 19
	"NAZI_RAP.OGG",            // 20
	"ZEROHOUR.OGG",            // 21
	"TWELFTH.OGG",             // 22
	"ROSTER.MID",              // 23
	"URAHERO.OGG",             // 24
	"VICMARCH.OGG",            // 25
	"PACMAN.OGG",               // 26
	"PLANT.OGG",
	"TEMPLE.OGG",
	"RITUAL.OGG",
	"ABYSS.OGG",
	"PALACE.OGG",
	"CASTLE.OGG",
	"DUNGON2.OGG",
	"BARRACKS.OGG",
	"TOWER.OGG",
	"TOPFLOOR.OGG",
	"TUNNEL.OGG",
	"SCHOOL.OGG",
	"FACTORY.OGG",
	"DUNGON.OGG",
	"AWAKE.OGG",
	"MANOR.OGG",
	"BASE.OGG",
	"SPACE.OGG",
	"SHIP.OGG",
	"CLUB.OGG",
	"DOCK.OGG",
	"ABANDON.OGG",
	"FOREST.OGG",
	"BUNKER.OGG",
	"ICE.OGG",
	"VAULT.OGG",
	"HANGER.OGG",
	"JUNGLE.OGG",
	"LAVA.OGG",
	"VOLCANO.OGG",
	"STEEL.OGG",
	"OTHER.OGG",
	"DARK.OGG",
	"PORTAL.OGG",
	"TRANSPORT.OGG",
	"DARKFOREST.OGG",
	"OUTSKIRT.OGG",
	"SECRET.OGG",
	"GALLARY.OGG",
	"KEEP.OGG",
	"DOMAIN.OGG",
	"BOSS2.OGG",
	"BOSS3.OGG",
	"BOSS4.OGG",
	"BOSS5.OGG",
	"BOSS6.OGG",
};

#endif
