/////////////////////////////////////////////////
//
// MUSE Header for .WL6
// Created Tue Jul 14 15:04:53 1992
//
/////////////////////////////////////////////////

//
// Sound names & indexes
//
typedef enum {
	HITWALLSND,              // 0
	SELECTWPNSND,            // 1
	SELECTITEMSND,           // 2
	HEARTBEATSND,            // 3
	MOVEGUN2SND,             // 4
	MOVEGUN1SND,             // 5
	NOWAYSND,                // 6
	NAZIHITPLAYERSND,        // 7
	SCHABBSTHROWSND,         // 8
	PLAYERDEATHSND,          // 9
	DOGDEATHSND,             // 10
	ATKGATLINGSND,           // 11
	GETKEYSND,               // 12
	NOITEMSND,               // 13
	WALK1SND,                // 14
	WALK2SND,                // 15
	TAKEDAMAGESND,           // 16
	GAMEOVERSND,             // 17
	OPENDOORSND,             // 18
	CLOSEDOORSND,            // 19
	DONOTHINGSND,            // 20
	HALTSND,                 // 21
	DEATHSCREAM2SND,         // 22
	ATKKNIFESND,             // 23
	ATKPISTOLSND,            // 24
	DEATHSCREAM3SND,         // 25
	ATKMACHINEGUNSND,        // 26
	HITENEMYSND,             // 27
	SHOOTDOORSND,            // 28
	DEATHSCREAM1SND,         // 29
	GETMACHINESND,           // 30
	GETAMMOSND,              // 31
	SHOOTSND,                // 32
	HEALTH1SND,              // 33
	HEALTH2SND,              // 34
	BONUS1SND,               // 35
	BONUS2SND,               // 36
	BONUS3SND,               // 37
	GETGATLINGSND,           // 38
	ESCPRESSEDSND,           // 39
	LEVELDONESND,            // 40
	DOGBARKSND,              // 41
	ENDBONUS1SND,            // 42
	ENDBONUS2SND,            // 43
	BONUS1UPSND,             // 44
	BONUS4SND,               // 45
	PUSHWALLSND,             // 46
	NOBONUSSND,              // 47
	PERCENT100SND,           // 48
	BOSSACTIVESND,           // 49
	MUTTISND,                // 50
	SCHUTZADSND,             // 51
	AHHHGSND,                // 52
	DIESND,                  // 53
	EVASND,                  // 54
	GUTENTAGSND,             // 55
	LEBENSND,                // 56
	SCHEISTSND,              // 57
	NAZIFIRESND,             // 58
	BOSSFIRESND,             // 59
	SSFIRESND,               // 60
	SLURPIESND,              // 61
	TOT_HUNDSND,             // 62
	MEINGOTTSND,             // 63
	SCHABBSHASND,            // 64
	HITLERHASND,             // 65
	SPIONSND,                // 66
	NEINSOVASSND,            // 67
	DOGATTACKSND,            // 68
	FLAMETHROWERSND,         // 69
	MECHSTEPSND,             // 70
	GOOBSSND,                // 71
	YEAHSND,                 // 72
#ifndef APOGEE_1_0
	DEATHSCREAM4SND,         // 73
	DEATHSCREAM5SND,         // 74
	DEATHSCREAM6SND,         // 75
	DEATHSCREAM7SND,         // 76
	DEATHSCREAM8SND,         // 77
	DEATHSCREAM9SND,         // 78
	DONNERSND,               // 79
	EINESND,                 // 80
	ERLAUBENSND,             // 81
	KEINSND,                 // 82
	MEINSND,                 // 83
	ROSESND,                 // 84
	MISSILEFIRESND,          // 85
	MISSILEHITSND,           // 86
#endif
    ATKSHOTSND,              // 87
    ATKM14SND,               // 88
    RELOADPISTOL1SND,                 // 89
	RELOADMACHINE1SND,                 // 90
	RELOADCHAINGUN1SND,                 // 91
	RELOADSHOTGUN1SND,          // 92
	RELOADM141SND,           // 93
	RELOADPISTOL2SND,        // 94
	RELOADMACHINE2SND,                 // 90
	RELOADCHAINGUN2SND,                 // 91
	RELOADM142SND,           // 93
	ATKL46SND,           // 93
	BOLTBACKSND,           // 93
	BOLTFORWARDSND,           // 93
	RELOADL461SND,           // 93
	RELOADL462SND,           // 93
	PAINSND,                 //93
	DEATHSND,                //93
	GPAINSND,
	SHOTGUNDEATHSND,
	SHOTPAINSND,
	SHOTSEESND,
	ATKDSHOTGUNSND,
	RELOADDSHOTGUN1SND,
	RELOADDSHOTGUN2SND,
	ATKMP5SND,
	RELOADMP51SND,
	RELOADMP52SND,
	BOLTPULLSND,
	BOLTSLAPSND,
	ATKDEAGLESND,
	RELOADDEAGLE1SND,
	RELOADDEAGLE2SND,
	SCHUTZAD1SND,
	SCHUTZAD2SND,
	SSPAINSND,
	LEBEN1SND,
	LEBEN2SND,
	DRYFIRESND,
	ATKBIZONSND,
	OPENDOOR2SND,
	CLOSEDOOR2SND,
	NEINSOVAS1SND,
	NEINSOVAS2SND,
	SPION1SND,
	SPION2SND,
	SPION3SND,
	GETARMORSND,
	SHOTPAIN1SND,
	SHOTSEE1SND,
	SHOTDEATHSND,
	OPENDOOR3SND,
	CLOSEDOOR3SND,
	GETSHELLSAMMOSND,
	GETRIFLEAMMOSND,
	GETARAMMOSND,
	CULTDEATH1SND,
    CULTDEATH2SND,
    CULTDEATH3SND,
    CULTDEATH4SND,
    CULTPAINSND,
    CULTSEE1SND,
    CULTSEE2SND,
    CULTSEE3SND,
    CULTSEE4SND,
    RELOADBIZON1SND,
    RELOADBIZON2SND,
    SNIDEATHSND,
    SNIDEATH1SND,
    SNIDEATH2SND,
    SNIPERPAIN1SND,
    SNIPERSEE1SND,
    SHADOWSEE1SND,
    SHADOWSEE2SND,
    SHADOWPAINSND,
    SHADOWATTACKSND,
    HUNTERDEATHSND,
    HUNTERPAIN1SND,
    HUNTERSEESND,
    ROCKETDEATH1SND,
    ROCKETDEATH2SND,
    ROCKETDEATH3SND,
    ROCKETPAINSND,
    ROCKETSEE1SND,
    ROCKETSEE2SND,
    ROCKETSEE3SND,
    REAPERDEATH1SND,
    REAPERDEATH2SND,
    REAPERPAIN1SND,
    REAPERSEE1SND,
    REAPERSEE2SND,
    STEALTHDEATHSND,
    STEALTHSEESND,
    SHADOWBALLHITSND,
    SOULLESSBALLHITSND,
    SOULLESSDEATHSND,
    SOULLESSPAINSND,
    SOULLESSSEESND,
    SOULLESSBALLSND,
    GASBALLHITSND,
    SLORGADEATH1SND,
    SLORGADEATH2SND,
    GASBALLSND,
    SLORGASEE1SND,
    SLORGASEE2SND,
    SLORGASEE3SND,
    LOCKEDSND,
    STRIKERDEATH1SND,
    STRIKERDEATH2SND,
    STRIKERPAINSND,
    STRIKERSEE1SND,
    STRIKERSEE2SND,
    ATKAK47SND,
    RELOADAK471SND,
    RELOADAK472SND,
    BURNSND,
    BFLAMERDEATHSND,
    BFLAMERPAINSND,
    BFLAMERSEE1SND,
    BFLAMERSEE2SND,
    BFLAMERSEE3SND,
    SLAVEGIRLSCREAM1SND,
    SLAVEGIRLSCREAM2SND,
    SLAVEGIRLSCREAM3SND,
    SLAVEGIRLSCREAM4SND,
    SLAVEGIRLSCREAM5SND,
    SLAVEGIRLSCREAM6SND,
    SLAVEGIRLSCREAM7SND,
    SLAVEGIRLPAINSND,
    SLAVEGIRLSEE1SND,
    SLAVEGIRLSEE2SND,
    SLAVEGIRLSEE3SND,
    THUNDERSND,
    PUMPSND,
    OPENDOOR4SND,
    CLOSEDOOR4SND,
    ATKBERETTASND,
    RELOADBERETTA1SND,
    RELOADBERETTA2SND,
    ATKTYPE79SND,
    RELOADTYPE791SND,
    RELOADTYPE792SND,
    ATKLR3000SND,
    RELOADLR30001SND,
    RELOADLR30002SND,
	LASTSOUND
} soundnames;

//
// Base offsets
//
#define STARTPCSOUNDS		0
#define STARTADLIBSOUNDS	0
#define STARTDIGISOUNDS		0
#define STARTMUSIC		    0

//
// Music names & indexes
//
typedef enum {
	CORNER_MUS,              // 0
	DUNGEON_MUS,             // 1
	WARMARCH_MUS,            // 2
	GETTHEM_MUS,             // 3
	HEADACHE_MUS,            // 4
	HITLWLTZ_MUS,            // 5
	INTROCW3_MUS,            // 6
	NAZI_NOR_MUS,            // 7
	NAZI_OMI_MUS,            // 8
	POW_MUS,                 // 9
	SALUTE_MUS,              // 10
	SEARCHN_MUS,             // 11
	SUSPENSE_MUS,            // 12
	VICTORS_MUS,             // 13
	WONDERIN_MUS,            // 14
	FUNKYOU_MUS,             // 15
	ENDLEVEL_MUS,            // 16
	GOINGAFT_MUS,            // 17
	PREGNANT_MUS,            // 18
	ULTIMATE_MUS,            // 19
	NAZI_RAP_MUS,            // 20
	ZEROHOUR_MUS,            // 21
	TWELFTH_MUS,             // 22
	ROSTER_MUS,              // 23
	URAHERO_MUS,             // 24
	VICMARCH_MUS,            // 25
	PACMAN_MUS,              // 26
	PLANT_MUS,
	TEMPLE_MUS,
	RITUAL_MUS,
	ABYSS_MUS,
	PALACE_MUS,
	CASTLE_MUS,
	DUNGON2_MUS,
	BARRACKS_MUS,
	TOWER_MUS,
	TOPFLOOR_MUS,
	TUNNEL_MUS,
	SCHOOL_MUS,
	FACTORY_MUS,
	DUNGON_MUS,
	AWAKE_MUS,
	MANOR_MUS,
	BASE_MUS,
	SPACE_MUS,
	SHIP_MUS,
	CLUB_MUS,
	DOCK_MUS,
	ABANDON_MUS,
	FOREST_MUS,
	BUNKER_MUS,
	ICE_MUS,
	VAULT_MUS,
	HANGER_MUS,
	JUNGLE_MUS,
	LAVA_MUS,
	VOLCANO_MUS,
	STEEL_MUS,
	OTHER_MUS,
	DARK_MUS,
	PORTAL_MUS,
	TRANSPORT_MUS,
	DARKFOREST_MUS,
	OUTSKIRT_MUS,
	SECRET_MUS,
	GALLARY_MUS,
	KEEP_MUS,
	DOMAIN_MUS,
	BOSS2_MUS,
	BOSS3_MUS,
	BOSS4_MUS,
	BOSS5_MUS,
	BOSS6_MUS,
	LASTMUSIC
} musicnames;

#define NUMSOUNDS		    LASTSOUND
#define NUMSNDCHUNKS		(STARTMUSIC + LASTMUSIC)

#define NUMMUSICS LASTMUSIC


/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////
